package com.zanxiang.sdk.common.miPay;

import lombok.Data;

/**
 * @author xufeng
 * @date 2022/7/14 19:54
 */
@Data
public class RequestParam {
    private String openid = ""; /* 用户唯一标识符 */
    private String appid = ""; /* 小程序 appId*/
    private String app_key = ""; /* 米大师分配的*/
    private String offer_id = ""; /* 米大师分配的offer_id */
    private Long ts = System.currentTimeMillis(); /* UNIX时间戳 */
    private String zone_id = "1"; /* 游戏服务器大区id,游戏不分大区则默认zoneId ="1",String类型。如过应用选择支持角色，则角色ID接在分区ID号后用"_"连接。 */
    private String pf = "android"; /* 平台 安卓：android */
    private String user_ip = ""; /* 用户外网 IP */
    private String amt = ""; /* 扣除游戏币数量，不能为 0 */
    private String bill_no = ""; /* 订单号，业务需要保证全局唯一；相同的订单号不会重复扣款。长度不超过63，只能是数字、大小写字母_- */
    private String pay_item = ""; /* 道具名称 */
    private String app_remark = ""; /* 备注。会写到账户流水 */
    private String sig = ""; /* 以上所有参数（含可选最多11个）+uri+米大师密钥，用 HMAC-SHA256签名 */
    private String access_token = ""; /* 接口调用凭证 */
    private String mp_sig = ""; /* 以上所有参数（含可选最多11个）+uri+米大师密钥 */
    private Integer is_sand = 1; /* 1 表示沙盒环境 2 表示正式环境 */
    private Integer present_counts = 0; /* 赠送游戏币数量，不能为0 */
    private String method = "POST"; /* 请求方式 */
}
