package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-06-17
 * @description : 用户详情参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserOauthlUpdateParam extends CommonParam {

    @ApiModelProperty(notes = "unionId")
    @NotBlank(message = "唯一id")
    private String unionId;


    @ApiModelProperty(notes = "gender")
    private String gender;


    @ApiModelProperty(notes = "city")
    private String city;


    @ApiModelProperty(notes = "province")
    private String province;


    @ApiModelProperty(notes = "country")
    private String country;


    @ApiModelProperty(notes = "avatarUrl")
    private String avatarUrl;
}
