package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;

/**
 * @author : lingfeng
 * @time : 2022-06-17
 * @description : 用户详情参数
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class UserDetailParam extends CommonParam {

    /**
     * 用户token
     */
    @ApiModelProperty(notes = "token")
    @NotBlank(message = "注册用户名字不可为空")
    private String token;
}
